quantileFilter-methods {xps} | R Documentation

## Quantile Filter

### Description

This method initializes the Quantile Filter.
The Quantile Filter flags all rows with: `flag = (quantile[high]/quantile[low] >= cutoff)`

Usage

`quantileFilter(object)`
`quantileFilter(object, value)<-`

### Arguments

`object` | object of class `PreFilter`.
`value` | numeric vector `c(cutoff, loquantile, hiquantile)`.

### Details

The method `quantileFilter` initializes the following parameters:

| `cutoff`: | the cutoff level for the filter.
| `loquantile`: | value for low quantile (default is `loquantile=0.05`).
| `hiquantile`: | value for high quantile (default is `hiquantile=0.95`).

### Value

An initialized `PreFilter` object.

### Author(s)

Christian Stratowa

### Examples

    prefltr <- PreFilter()
    quantileFilter(prefltr) <- c(3.0, 0.05, 0.95)
    str(prefltr)

[Package xps version 1.2.10 Index]